Knowledgebase
What devices can I use to install the mobile app?
Posted by Raphael Graf on 15 August 2018 08:09 AM

IPhone® IOS® v. 9.3 or higher

IPad Touch® IOS v. 9.3 or higher

Android© 6.0 or higher